Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface EditPartCandies

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenDiagram

All Known Implementing Classes:
  GenDiagramImpl

    public interface EditPartCandies

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Edit Part Candies'.

The following features are supported:

- `Reorient Connection View Command Class Name`
- `Base Edit Helper Class Name`
- `Edit Part Factory Class Name`
- `Base External Node Label Edit Part Class Name`
- `Base Item Semantic Edit Policy Class Name`
- `Base Graphical Node Edit Policy Class Name`
- `Text Selection Edit Policy Class Name`
- `Text Non Resizable Edit Policy Class Name`

See Also:
  `GMFGenPackage.getEditPartCandies()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`java.lang.String` `getBaseEditHelperClassName()` Returns the value of the 'Base Edit Helper Class Name' attribute
`java.lang.String` `getBaseEditHelperQualifiedClassName()`
`java.lang.String` `getBaseExternalNodeLabelEditPartClassName()` Returns the value of the 'Base External Node Label Edit Part Class Name' attribute
`java.lang.String` `getBaseExternalNodeLabelEditPartQualifiedClassName()`
`java.lang.String` `getBaseGraphicalNodeEditPolicyClassName()` Returns the value of the 'Base Graphical Node Edit Policy Class Name' attribute
`java.lang.String` `getBaseGraphicalNodeEditPolicyQualifiedClassName()`
`java.lang.String` `getBaseItemSemanticEditPolicyClassName()` Returns the value of the 'Base Item Semantic Edit Policy Class Name' attribute
`java.lang.String` `getBaseItemSemanticEditPolicyQualifiedClassName()`
`java.lang.String` `getEditPartFactoryClassName()` Returns the value of the 'Edit Part Factory Class Name' attribute
`java.lang.String` `getEditPartFactoryQualifiedClassName()`
`java.lang.String` `getReorientConnectionViewCommandClassName()` Returns the value of the 'Reorient Connection View Command Class Name' attribute
`java.lang.String` `getReorientConnectionViewCommandQualifiedClassName()`
`java.lang.String` `getTextNonResizableEditPolicyClassName()` Returns the value of the 'Text Non Resizable Edit Policy Class Name' attribute
`java.lang.String` `getTextNonResizableEditPolicyQualifiedClassName()`
`java.lang.String` `getTextSelectionEditPolicyClassName()` Returns the value of the 'Text Selection Edit Policy Class Name' attribute
`java.lang.String` `getTextSelectionEditPolicyQualifiedClassName()`
`void` `setBaseEditHelperClassName(java.lang.String value)` Sets the value of the '`Base Edit Helper Class Name`' attribute
`void` `setBaseExternalNodeLabelEditPartClassName(java.lang.String value)` Sets the value of the '`Base External Node Label Edit Part Class Name`' attribute
`void` `setBaseGraphicalNodeEditPolicyClassName(java.lang.String value)` Sets the value of the '`Base Graphical Node Edit Policy Class Name`' attribute
`void` `setBaseItemSemanticEditPolicyClassName(java.lang.String value)` Sets the value of the '`Base Item Semantic Edit Policy Class Name`' attribute
`void` `setEditPartFactoryClassName(java.lang.String value)` Sets the value of the '`Edit Part Factory Class Name`' attribute
`void` `setReorientConnectionViewCommandClassName(java.lang.String value)` Sets the value of the '`Reorient Connection View Command Class Name`' attribute
`void` `setTextNonResizableEditPolicyClassName(java.lang.String value)` Sets the value of the '`Text Non Resizable Edit Policy Class Name`' attribute
`void` `setTextSelectionEditPolicyClassName(java.lang.String value)` Sets the value of the '`Text Selection Edit Policy Class Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReorientConnectionViewCommandClassName

    java.lang.String getReorientConnectionViewCommandClassName()

  Returns the value of the 'Reorient Connection View Command Class Name' attribute.

  If the meaning of the 'Reorient Connection View Command Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reorient Connection View Command Class Name' attribute.
  See Also:
    `setReorientConnectionViewCommandClassName(String)`, `GMFGenPackage.getEditPartCandies_ReorientConnectionViewCommandClassName()`
  ** Generated **
  Model:

### setReorientConnectionViewCommandClassName

    void setReorientConnectionViewCommandClassName(java.lang.String value)

  Sets the value of the '`Reorient Connection View Command Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Reorient Connection View Command Class Name' attribute.
  See Also:
    `getReorientConnectionViewCommandClassName()`
  ** Generated **

### getBaseEditHelperClassName

    java.lang.String getBaseEditHelperClassName()

  Returns the value of the 'Base Edit Helper Class Name' attribute.

  If the meaning of the 'Base Edit Helper Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base Edit Helper Class Name' attribute.
  See Also:
    `setBaseEditHelperClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseEditHelperClassName()`
  ** Generated **
  Model:

### setBaseEditHelperClassName

    void setBaseEditHelperClassName(java.lang.String value)

  Sets the value of the '`Base Edit Helper Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Base Edit Helper Class Name' attribute.
  See Also:
    `getBaseEditHelperClassName()`
  ** Generated **

### getEditPartFactoryClassName

    java.lang.String getEditPartFactoryClassName()

  Returns the value of the 'Edit Part Factory Class Name' attribute.

  If the meaning of the 'Edit Part Factory Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Edit Part Factory Class Name' attribute.
  See Also:
    `setEditPartFactoryClassName(String)`, `GMFGenPackage.getEditPartCandies_EditPartFactoryClassName()`
  ** Generated **
  Model:

### setEditPartFactoryClassName

    void setEditPartFactoryClassName(java.lang.String value)

  Sets the value of the '`Edit Part Factory Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Part Factory Class Name' attribute.
  See Also:
    `getEditPartFactoryClassName()`
  ** Generated **

### getBaseExternalNodeLabelEditPartClassName

    java.lang.String getBaseExternalNodeLabelEditPartClassName()

  Returns the value of the 'Base External Node Label Edit Part Class Name' attribute.

  If the meaning of the 'Base External Node Label Edit Part Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base External Node Label Edit Part Class Name' attribute.
  See Also:
    `setBaseExternalNodeLabelEditPartClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseExternalNodeLabelEditPartClassName()`
  ** Generated **
  Model:

### setBaseExternalNodeLabelEditPartClassName

    void setBaseExternalNodeLabelEditPartClassName(java.lang.String value)

  Sets the value of the '`Base External Node Label Edit Part Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Base External Node Label Edit Part Class Name' attribute.
  See Also:
    `getBaseExternalNodeLabelEditPartClassName()`
  ** Generated **

### getBaseItemSemanticEditPolicyClassName

    java.lang.String getBaseItemSemanticEditPolicyClassName()

  Returns the value of the 'Base Item Semantic Edit Policy Class Name' attribute.

  If the meaning of the 'Base Item Semantic Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `setBaseItemSemanticEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseItemSemanticEditPolicyClassName()`
  ** Generated **
  Model:

### setBaseItemSemanticEditPolicyClassName

    void setBaseItemSemanticEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Base Item Semantic Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Base Item Semantic Edit Policy Class Name' attribute.
  See Also:
    `getBaseItemSemanticEditPolicyClassName()`
  ** Generated **

### getBaseGraphicalNodeEditPolicyClassName

    java.lang.String getBaseGraphicalNodeEditPolicyClassName()

  Returns the value of the 'Base Graphical Node Edit Policy Class Name' attribute.

  If the meaning of the 'Base Graphical Node Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `setBaseGraphicalNodeEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_BaseGraphicalNodeEditPolicyClassName()`
  ** Generated **
  Model:

### setBaseGraphicalNodeEditPolicyClassName

    void setBaseGraphicalNodeEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Base Graphical Node Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Base Graphical Node Edit Policy Class Name' attribute.
  See Also:
    `getBaseGraphicalNodeEditPolicyClassName()`
  ** Generated **

### getTextSelectionEditPolicyClassName

    java.lang.String getTextSelectionEditPolicyClassName()

  Returns the value of the 'Text Selection Edit Policy Class Name' attribute.

  If the meaning of the 'Text Selection Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text Selection Edit Policy Class Name' attribute.
  See Also:
    `setTextSelectionEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_TextSelectionEditPolicyClassName()`
  ** Generated **
  Model:

### setTextSelectionEditPolicyClassName

    void setTextSelectionEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Text Selection Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Text Selection Edit Policy Class Name' attribute.
  See Also:
    `getTextSelectionEditPolicyClassName()`
  ** Generated **

### getTextNonResizableEditPolicyClassName

    java.lang.String getTextNonResizableEditPolicyClassName()

  Returns the value of the 'Text Non Resizable Edit Policy Class Name' attribute.

  If the meaning of the 'Text Non Resizable Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Text Non Resizable Edit Policy Class Name' attribute.
  See Also:
    `setTextNonResizableEditPolicyClassName(String)`, `GMFGenPackage.getEditPartCandies_TextNonResizableEditPolicyClassName()`
  ** Generated **
  Model:

### setTextNonResizableEditPolicyClassName

    void setTextNonResizableEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Text Non Resizable Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Text Non Resizable Edit Policy Class Name' attribute.
  See Also:
    `getTextNonResizableEditPolicyClassName()`
  ** Generated **

### getReorientConnectionViewCommandQualifiedClassName

    java.lang.String getReorientConnectionViewCommandQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getBaseEditHelperQualifiedClassName

    java.lang.String getBaseEditHelperQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getEditPartFactoryQualifiedClassName

    java.lang.String getEditPartFactoryQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getBaseExternalNodeLabelEditPartQualifiedClassName

    java.lang.String getBaseExternalNodeLabelEditPartQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getBaseItemSemanticEditPolicyQualifiedClassName

    java.lang.String getBaseItemSemanticEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getBaseGraphicalNodeEditPolicyQualifiedClassName

    java.lang.String getBaseGraphicalNodeEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getTextSelectionEditPolicyQualifiedClassName

    java.lang.String getTextSelectionEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

### getTextNonResizableEditPolicyQualifiedClassName

    java.lang.String getTextNonResizableEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.